import * as Utils from './Utils';

export default class ActionQueue {
    constructor() {
        this._actions = [];
        if (Utils.RUNTIME === Utils.RUNTIME_TYPE.BROWSER) {
            if (typeof (window.CIData) === 'undefined') {
                window.CIData = []
            }
            this._actions = window.CIData;
        }
        else {
            this._actions = [];
        }
    }

    push(action) {
        this._actions.push(action);
    }

    popAll() {
        return this._actions.splice(0, this._actions.length);
    }

    popAllMatchTypes(types) {
        let result = [];
        for (let i = 0; i < this._actions.length; i++) {
            let action = this._actions[i];
            let type = action[0];
            if (types.indexOf(type) !== -1) {
                result.push(action);
                this._actions.splice(i, 1);
                i--;
            }
        }

        return result;
    }
}
