import * as Utils from './Utils'

import IStorage from './storage/IStorage';
import BrowserStorage from './storage/BrowserStorage';
import WXAppStorage from './storage/WXAppStorage';

let storage = new IStorage();

if (Utils.RUNTIME === Utils.RUNTIME_TYPE.BROWSER) {
    storage = new BrowserStorage;
}
else if (Utils.RUNTIME === Utils.RUNTIME_TYPE.WX_APP) {
    storage = new WXAppStorage;
}
else {
    console.error("unknown runtime, storage not support");
}

export function getItem(key) {
    return storage.getItem(key);
}

export function setItem(key, value) {
    storage.setItem(key, value);
}
