import * as Utils from './Utils';
import * as LocalData from './LocalData';

const STORAGE = 'cidata-session';
const SESSION_TIMEOUT = 30 * 60 * 1000;
const SESSION_RENEW_INTERVAL = SESSION_TIMEOUT / 10;

let session = {id: '', time: 0};

let str = LocalData.getItem(STORAGE);
if (!Utils.isStringEmpty(str)) {
    const s = JSON.parse(str);
    session.id = s.id;
    session.time = s.time;
}

let now = new Date().getTime();
if (now - session.time > SESSION_TIMEOUT) {
    recreate();
}
renew();
save();

setInterval(function () {
    renew();
    save();
}, SESSION_RENEW_INTERVAL);

function save() {
    LocalData.setItem(STORAGE, JSON.stringify(session));
}

function renew() {
    session.time = new Date().getTime();
}

function recreate() {
    session.id = Utils.guid();
}

export function getId() {
    return session.id;
}

export function restart() {
    recreate();
    renew();
    save();
}
