import * as LocalData from './LocalData';
import * as utils from './Utils';

let g_instance = null;

export default class UserProperty {
    constructor() {
        const str = LocalData.getItem("properties");
        this.user_properties = {};
        if (!utils.isStringEmpty(str)) {
            this.user_properties = JSON.parse(str);
        }
    }

    setProperties(properties) {
        for (const key in properties) {
            if (properties.hasOwnProperty(key)) {
                this.user_properties[key] = properties[key];
            }
        }

        LocalData.setItem("properties", JSON.stringify(this.user_properties));
    };

    getProperties() {
        return this.user_properties;
    };

    static getInstance() {
        if (g_instance === null) {
            g_instance = new UserProperty();
        }
        return g_instance;
    }
}
