export const RUNTIME_TYPE = {
    'UNKNOWN': 0,       // 未知
    'BROWSER': 1,       //浏览器
    'WX_APP': 2,        //微信小程序
};

let runtime = RUNTIME_TYPE.UNKNOWN;
let platform = 'unknown';

if (typeof(window) !== 'undefined') {
    runtime = RUNTIME_TYPE.BROWSER;
    platform = 'web';
} else {
    if (typeof (wx) !== 'undefined') {
        runtime = RUNTIME_TYPE.WX_APP;
        platform = 'wx_app';
    }
}

export const RUNTIME = runtime;
export const PLATFORM = platform;

export function isStringEmpty(string) {
    return typeof(string) !== 'string' || string.trim() === '';
}

export function guid() {
    function s4() {
        return Math.floor((1 + Math.random()) * 0x10000)
            .toString(16)
            .substring(1);
    }

    return s4() + s4() + '-' + s4() + '-' + s4() + '-' +
        s4() + '-' + s4() + s4() + s4();
}
