import IStorage from './IStorage';

function localStorageGetItem(key) {
    if (!window.localStorage) {
        return "";
    }

    return window.localStorage.getItem(key);
}

function localStorageSetItem(key, value) {
    if (!window.localStorage) {
        return;
    }

    window.localStorage.setItem(key, value);
}

function setCookie(name, value, expiredays) {
    const ex_data = new Date();
    ex_data.setDate(ex_data.getDate() + expiredays);
    //noinspection JSDeprecatedSymbols
    document.cookie = name + "=" + escape(value) +
        ((expiredays === null) ? "" : ";expires=" + ex_data.toUTCString());
}

function getCookie(cookieName) {
    let strCookie = document.cookie;
    let arrCookie = strCookie.split("; ");
    for(let i = 0; i < arrCookie.length; i++){
        let arr = arrCookie[i].split("=");
        if(cookieName === arr[0]){
            return unescape(arr[1]);
        }
    }
    return "";
}

export default class BrowserStorage extends IStorage {
    getItem(key) {
        const value = localStorageGetItem(key);
        if (value !== null && value !== "") {
            return value;
        }

        return getCookie(key);
    }

    setItem(key, value) {
        localStorageSetItem(key, value);
        setCookie(key, value, 365);
    }
}
